History module
Endpoints
Endpoints for managing Call Details Reports, Call Recordings, Chats and Voicemessages
GET
/chats Returns collection of Chat resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/chats HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 889,
"created_at": "2019-05-12 23:16:53",
"customer_id": 5925,
"duration": 2271,
"operator_id": 9767,
"operator_ua": "value",
"state": 3,
"visitor_city": "value",
"visitor_country": "value",
"visitor_email": "value",
"visitor_geo": "value",
"visitor_id": "value",
"visitor_ip": "value",
"visitor_name": "value",
"visitor_referer": "value",
"visitor_ua": "value",
"website_id": 9896
}
],
"total": 59
}
GET
/chats/{id} Returns Chat resource for given Id
Parameters
Endpoint URL:
{id} integerChat identifier
Example Request
GET /v1.1/voipstudio/chats/10 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 2763,
"created_at": "2024-02-02 23:27:08",
"customer_id": 6164,
"duration": 9361,
"operator_id": 9180,
"operator_ua": "value",
"state": 3,
"visitor_city": "value",
"visitor_country": "value",
"visitor_email": "value",
"visitor_geo": "value",
"visitor_id": "value",
"visitor_ip": "value",
"visitor_name": "value",
"visitor_referer": "value",
"visitor_ua": "value",
"website_id": 6142
},
"links": {}
}
DELETE
/chatmsgs/{ids} Deletes given chat message resources
Parameters
Endpoint URL:
{ids} comma separated list of integersResource identifiers
Example Request
DELETE /v1.1/voipstudio/chatmsgs/51,121,448 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 204 OK
DELETE
/chatmsgs Deletes collection of ChatMsg resources
Parameters
No parameters
Example Request
DELETE /v1.1/voipstudio/chatmsgs HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 204 OK
GET
/cdrs Returns collection of Cdr resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/cdrs HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 6792,
"billsec": 5398,
"call_id": 294,
"calldate": "2024-03-20 12:47:51",
"clid": "value",
"context": "value",
"destination": 0,
"disposition": 0,
"dst": "13103345244",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 9658,
"info": "value",
"is_root": true,
"live_id": 9091,
"parent_live_id": 1703,
"root_live_id": 5447,
"server_id": 9540,
"sip_endpoint_id": 74,
"src": "32179243705",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 3,
"user_id": 628
}
],
"total": 59
}
PATCH
/cdrs [BULK] Updates existing Cdr resources
Parameters
Example Request
PATCH /v1.1/voipstudio/cdrs HTTP/1.1
Host: l7api.com
[
[],
{
"id": 8009
}
]
Responses
200 Success
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 7418,
"billsec": 461,
"call_id": 2108,
"calldate": "2025-02-20 17:53:55",
"clid": "value",
"context": "value",
"destination": 1,
"disposition": 1,
"dst": "44203846719",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 1132,
"info": "value",
"is_root": true,
"live_id": 5607,
"parent_live_id": 5525,
"root_live_id": 3137,
"server_id": 5937,
"sip_endpoint_id": 2747,
"src": "44203846719",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 0,
"user_id": 2981
},
"links": {}
}
DELETE
/cdrs Deletes collection of Cdr resources
Parameters
No parameters
Example Request
DELETE /v1.1/voipstudio/cdrs HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 204 OK
GET
/cdrs/calltracking Returns collection of Call Tracking Cdr resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/cdrs/calltracking HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 1756,
"billsec": 3525,
"call_id": 9043,
"calldate": "2025-02-03 11:41:14",
"clid": "value",
"context": "value",
"destination": 1,
"disposition": 0,
"dst": "44203844711",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 5848,
"info": "value",
"is_root": true,
"live_id": 9622,
"parent_live_id": 9963,
"root_live_id": 1916,
"server_id": 9661,
"sip_endpoint_id": 4181,
"src": "12124537768",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 2,
"user_id": 8058
}
],
"total": 59
}
GET
/cdrs/{id} Returns Cdr resource for given Id
Parameters
Endpoint URL:
{id} integerCdr identifier
Example Request
GET /v1.1/voipstudio/cdrs/4 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 1817,
"billsec": 7416,
"call_id": 8277,
"calldate": "2021-12-28 10:02:33",
"clid": "value",
"context": "value",
"destination": 0,
"disposition": 3,
"dst": "44203844711",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 3150,
"info": "value",
"is_root": true,
"live_id": 4704,
"parent_live_id": 6597,
"root_live_id": 8810,
"server_id": 8112,
"sip_endpoint_id": 6020,
"src": "44203846719",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 2,
"user_id": 856
},
"links": {}
}
GET
/cdrs/{id}.trace Returns Cdr resource as SIP Trace for given Id
Parameters
Endpoint URL:
{id} integerCdr identifier
Example Request
GET /v1.1/voipstudio/cdrs/43.trace HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 4045,
"billsec": 3572,
"call_id": 4482,
"calldate": "2024-05-22 13:18:45",
"clid": "value",
"context": "value",
"destination": 2,
"disposition": 1,
"dst": "44203844711",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 8851,
"info": "value",
"is_root": true,
"live_id": 3816,
"parent_live_id": 1666,
"root_live_id": 1139,
"server_id": 1939,
"sip_endpoint_id": 3093,
"src": "44203844711",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 3,
"user_id": 151
},
"links": {}
}
GET
/cdrs/{id}.pcap Returns Cdr resource as PCAP file for given Id
Parameters
Endpoint URL:
{id} integerCdr identifier
Example Request
GET /v1.1/voipstudio/cdrs/48.pcap HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 280,
"billsec": 7398,
"call_id": 6777,
"calldate": "2016-07-31 23:02:48",
"clid": "value",
"context": "value",
"destination": 1,
"disposition": 1,
"dst": "32179243705",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 5943,
"info": "value",
"is_root": true,
"live_id": 4593,
"parent_live_id": 8583,
"root_live_id": 7260,
"server_id": 3206,
"sip_endpoint_id": 7500,
"src": "44203844711",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 2,
"user_id": 2181
},
"links": {}
}
GET
/cdrs/dictionaries Returns Dictionary for Cdr resource
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/cdrs/dictionaries HTTP/1.1 Host: l7api.com
Responses
200 Unknown
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 1617,
"billsec": 7553,
"call_id": 3437,
"calldate": "2020-08-26 10:28:57",
"clid": "value",
"context": "value",
"destination": 0,
"disposition": 1,
"dst": "44779243705",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 6993,
"info": "value",
"is_root": true,
"live_id": 2817,
"parent_live_id": 3291,
"root_live_id": 6155,
"server_id": 1602,
"sip_endpoint_id": 7807,
"src": "32179243705",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 3,
"user_id": 5180
}
],
"total": 59
}
GET
/cdrs/{id}/notes Returns Notes for give CDR resource
Parameters
Endpoint URL:
{id} integerCdr identifier
Example Request
GET /v1.1/voipstudio/cdrs/7/notes HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 8166,
"billsec": 3232,
"call_id": 9200,
"calldate": "2017-10-20 04:38:55",
"clid": "value",
"context": "value",
"destination": 0,
"disposition": 0,
"dst": "13103345244",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 7487,
"info": "value",
"is_root": true,
"live_id": 8818,
"parent_live_id": 6724,
"root_live_id": 819,
"server_id": 6333,
"sip_endpoint_id": 3584,
"src": "12124537768",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 3,
"user_id": 1256
},
"links": {}
}
GET
/conversations Returns collection of Conversation resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/conversations HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": "value",
"call_flow": "value",
"channel": "value",
"conversation_id": "value",
"created_at": "2016-11-30 07:36:47",
"customer_id": 1501,
"cx_score": 7230,
"dst": "44779243705",
"dst_id": "value",
"dst_name": "value",
"duration": 7517,
"last_activity_at": "2016-11-30 07:37:47",
"last_message": "value",
"last_message_at": "2016-11-30 07:40:31",
"monitor_ids": "value",
"notes": "value",
"object_class": "value",
"object_id": "value",
"ring_time": 1605,
"src": "32179243705",
"src_id": "value",
"src_name": "value",
"type": 2,
"user_id": 1508,
"voicemessage_id": 2196
}
],
"total": 59
}
PATCH
/conversations [BULK] Updates existing Conversation resources
Parameters
JSON body attributes:
id undefined
labels array
notes undefined
Example Request
PATCH /v1.1/voipstudio/conversations HTTP/1.1
Host: l7api.com
[
{
"id": "abcd",
"labels": "abcd",
"notes": "abcd"
},
{
"id": 7063,
"labels": "abcd",
"notes": "abcd"
}
]
Responses
200 Success
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": "value",
"call_flow": "value",
"channel": "value",
"conversation_id": "value",
"created_at": "2023-10-09 04:37:01",
"customer_id": 6841,
"cx_score": 4407,
"dst": "32179243705",
"dst_id": "value",
"dst_name": "value",
"duration": 5048,
"last_activity_at": "2023-10-09 04:52:41",
"last_message": "value",
"last_message_at": "2023-10-09 04:45:18",
"monitor_ids": "value",
"notes": "value",
"object_class": "value",
"object_id": "value",
"ring_time": 1897,
"src": "12124537768",
"src_id": "value",
"src_name": "value",
"type": 0,
"user_id": 2067,
"voicemessage_id": 1584
},
"links": {}
}
GET
/conversations/{id} Returns Conversation Result resource for given Id
Parameters
Endpoint URL:
{id} integerConversation identifier
Example Request
GET /v1.1/voipstudio/conversations/77 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": "value",
"call_flow": "value",
"channel": "value",
"conversation_id": "value",
"created_at": "2023-04-07 05:12:14",
"customer_id": 369,
"cx_score": 7100,
"dst": "32179243705",
"dst_id": "value",
"dst_name": "value",
"duration": 7243,
"last_activity_at": "2023-04-07 05:19:42",
"last_message": "value",
"last_message_at": "2023-04-07 05:25:00",
"monitor_ids": "value",
"notes": "value",
"object_class": "value",
"object_id": "value",
"ring_time": 5203,
"src": "44779243705",
"src_id": "value",
"src_name": "value",
"type": 3,
"user_id": 5416,
"voicemessage_id": 3478
},
"links": {}
}
PATCH
/conversations/{id}/members Marks a Conversation as read or unread for the authenticated user
Parameters
Endpoint URL:
{id} integerConversation identifier
Example Request
PATCH /v1.1/voipstudio/conversations/17/members HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
404 Resource not found
401 Unauthorized
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": "value",
"call_flow": "value",
"channel": "value",
"conversation_id": "value",
"created_at": "2026-01-16 18:14:36",
"customer_id": 6456,
"cx_score": 8820,
"dst": "32179243705",
"dst_id": "value",
"dst_name": "value",
"duration": 82,
"last_activity_at": "2026-01-16 18:06:31",
"last_message": "value",
"last_message_at": "2026-01-16 18:06:02",
"monitor_ids": "value",
"notes": "value",
"object_class": "value",
"object_id": "value",
"ring_time": 4562,
"src": "12124537768",
"src_id": "value",
"src_name": "value",
"type": 5,
"user_id": 2141,
"voicemessage_id": 4853
},
"links": {}
}
GET
/monitors Returns collection of Monitor resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/monitors HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 6056,
"call_id": 5527,
"called": "44779243705",
"caller": "44203846719",
"context": "value",
"cx_score": 8234,
"dst": "44203846719",
"dst_id": "value",
"dst_name": "value",
"duration": 5565,
"live_id": 4059,
"sentiment": 2,
"sip_endpoint_id": 9686,
"size": 4924,
"src": "44779243705",
"src_id": "value",
"src_name": "value",
"summary": "value",
"timestamp": "2022-01-13 03:57:22",
"transcript": "value",
"transcript_speakers": "value",
"type": "value",
"user_id": 1189
}
],
"total": 59
}
DELETE
/monitors Deletes all Monitor resources for given customer
Parameters
No parameters
Example Request
DELETE /v1.1/voipstudio/monitors HTTP/1.1 Host: l7api.com
Responses
202 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 202 OK
GET
/monitors/{id} Returns Monitor resource for given Id
Parameters
Endpoint URL:
{id} integerMonitor identifier
Example Request
GET /v1.1/voipstudio/monitors/87 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 3703,
"call_id": 6768,
"called": "32179243705",
"caller": "13103345244",
"context": "value",
"cx_score": 5587,
"dst": "12124537768",
"dst_id": "value",
"dst_name": "value",
"duration": 5663,
"live_id": 2666,
"sentiment": 1,
"sip_endpoint_id": 4100,
"size": 7754,
"src": "13103345244",
"src_id": "value",
"src_name": "value",
"summary": "value",
"timestamp": "2025-07-24 02:36:58",
"transcript": "value",
"transcript_speakers": "value",
"type": "value",
"user_id": 9783
},
"links": {}
}
GET
/monitors/{id}.mp3 Returns Monitor resource for given Id as MP3 audio file
Parameters
Endpoint URL:
{id} integerMonitor identifier
Example Request
GET /v1.1/voipstudio/monitors/94.mp3 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 9009,
"call_id": 5828,
"called": "44779243705",
"caller": "44203846719",
"context": "value",
"cx_score": 8877,
"dst": "44779243705",
"dst_id": "value",
"dst_name": "value",
"duration": 1710,
"live_id": 2922,
"sentiment": 0,
"sip_endpoint_id": 4448,
"size": 6259,
"src": "44203846719",
"src_id": "value",
"src_name": "value",
"summary": "value",
"timestamp": "2024-10-08 02:41:18",
"transcript": "value",
"transcript_speakers": "value",
"type": "value",
"user_id": 2018
},
"links": {}
}
DELETE
/monitors/{ids} Deletes given Monitor resources
Parameters
Endpoint URL:
{ids} comma separated list of integersMonitor identifiers
Example Request
DELETE /v1.1/voipstudio/monitors/21,162,443 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 204 OK
GET
/msdrs Returns collection of Msdr resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/msdrs HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 9513,
"call_id": "value",
"created_at": "2021-11-20 23:06:54",
"dst": "13103345244",
"dst_id": "value",
"dst_ua": "value",
"duration": 7775,
"media_session_id": 8834,
"src": "12124537768",
"src_id": "value",
"src_ua": "value",
"t_cause": "value",
"type": "value",
"user_id": 5255
}
],
"total": 59
}
GET
/msdrs/{id} Returns Msdr resource for given Id
Parameters
Endpoint URL:
{id} integerMsdr identifier
Example Request
GET /v1.1/voipstudio/msdrs/14 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 9202,
"call_id": "value",
"created_at": "2025-04-13 01:41:25",
"dst": "12124537768",
"dst_id": "value",
"dst_ua": "value",
"duration": 9270,
"media_session_id": 8308,
"src": "32179243705",
"src_id": "value",
"src_ua": "value",
"t_cause": "value",
"type": "value",
"user_id": 3337
},
"links": {}
}
GET
/msdrs/{id}.trace Returns Msdr resource as SIP Trace for given Id
Parameters
Endpoint URL:
{id} integerMsdr identifier
Example Request
GET /v1.1/voipstudio/msdrs/76.trace HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 3989,
"call_id": "value",
"created_at": "2018-02-14 19:09:56",
"dst": "32179243705",
"dst_id": "value",
"dst_ua": "value",
"duration": 1288,
"media_session_id": 8845,
"src": "44203844711",
"src_id": "value",
"src_ua": "value",
"t_cause": "value",
"type": "value",
"user_id": 376
},
"links": {}
}
GET
/msdrs/{id}.pcap Returns Msdr resource as PCAP file for given Id
Parameters
Endpoint URL:
{id} integerMsdr identifier
Example Request
GET /v1.1/voipstudio/msdrs/82.pcap HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 4982,
"call_id": "value",
"created_at": "2022-10-19 14:08:03",
"dst": "13103345244",
"dst_id": "value",
"dst_ua": "value",
"duration": 5798,
"media_session_id": 3902,
"src": "44203846719",
"src_id": "value",
"src_ua": "value",
"t_cause": "value",
"type": "value",
"user_id": 2293
},
"links": {}
}
GET
/msdrs/dictionaries Returns Dictionary for Msdr resource
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/msdrs/dictionaries HTTP/1.1 Host: l7api.com
Responses
200 Unknown
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 1257,
"call_id": "value",
"created_at": "2021-06-05 06:26:54",
"dst": "32179243705",
"dst_id": "value",
"dst_ua": "value",
"duration": 2302,
"media_session_id": 5148,
"src": "13103345244",
"src_id": "value",
"src_ua": "value",
"t_cause": "value",
"type": "value",
"user_id": 2099
}
],
"total": 59
}
GET
/offlinemessages Returns collection of OfflineMessage resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/offlinemessages HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 4278,
"chat_id": 6784,
"created_at": "2020-04-20 16:35:35",
"email": "value",
"message": "value",
"name": "value",
"referer": "value",
"visitor_id": "value",
"website_id": 271
}
],
"total": 59
}
GET
/offlinemessages/{id} Returns OfflineMessage resource for given Id
Parameters
Endpoint URL:
{id} integerOfflineMessage identifier
Example Request
GET /v1.1/voipstudio/offlinemessages/29 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 3543,
"chat_id": 8595,
"created_at": "2017-12-09 11:41:52",
"email": "value",
"message": "value",
"name": "value",
"referer": "value",
"visitor_id": "value",
"website_id": 5001
},
"links": {}
}
DELETE
/statements Deletes collection of Statement resources
Parameters
No parameters
Example Request
DELETE /v1.1/voipstudio/statements HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 204 OK
GET
/voicemessages Returns collection of Voicemessage resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/voicemessages HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 8189,
"caller": "44203844711",
"callerid": "44203846719",
"dialled": "44779243705",
"duration": 6482,
"extension_id": 546,
"folder": 1,
"is_new": true,
"live_id": 7801,
"origtime": "2023-08-11 17:52:42",
"parent_live_id": 6913,
"transcript": "value"
}
],
"total": 59
}
PATCH
/voicemessages [BULK] Updates folder of existing Voicemessage resources
Parameters
JSON body attributes:
id integer
folder string
Example Request
PATCH /v1.1/voipstudio/voicemessages HTTP/1.1
Host: l7api.com
[
{
"id": 794,
"folder": "abcd"
},
{
"id": 1001,
"folder": "abcd"
}
]
Responses
200 Success
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 3367,
"caller": "44203844711",
"callerid": "44203846719",
"dialled": "32179243705",
"duration": 1499,
"extension_id": 2060,
"folder": 2,
"is_new": true,
"live_id": 9457,
"origtime": "2020-11-05 05:36:13",
"parent_live_id": 6681,
"transcript": "value"
},
"links": {}
}
DELETE
/voicemessages Deletes collection of Voicemessage resources
Parameters
No parameters
Example Request
DELETE /v1.1/voipstudio/voicemessages HTTP/1.1 Host: l7api.com
Responses
202 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 202 OK
GET
/voicemessages/{id} Returns Voicemessage resource for given Id
Parameters
Endpoint URL:
{id} integerVoicemessage identifier
Example Request
GET /v1.1/voipstudio/voicemessages/76 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 4826,
"caller": "32179243705",
"callerid": "32179243705",
"dialled": "44203844711",
"duration": 816,
"extension_id": 7660,
"folder": 0,
"is_new": true,
"live_id": 7109,
"origtime": "2016-05-15 12:37:48",
"parent_live_id": 7745,
"transcript": "value"
},
"links": {}
}
GET
/voicemessages/{id}.mp3 Returns Voicemessage MP3 file for given Id
Parameters
Endpoint URL:
{id} integerVoicemessage identifier
Example Request
GET /v1.1/voipstudio/voicemessages/32.mp3 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 6442,
"caller": "12124537768",
"callerid": "44779243705",
"dialled": "13103345244",
"duration": 6152,
"extension_id": 9452,
"folder": 1,
"is_new": true,
"live_id": 792,
"origtime": "2016-05-13 12:45:43",
"parent_live_id": 8873,
"transcript": "value"
},
"links": {}
}
DELETE
/voicemessages/{ids} Deletes given voicemessage resources
Parameters
Endpoint URL:
{ids} comma separated list of integersVoicemessage identifiers
Example Request
DELETE /v1.1/voipstudio/voicemessages/73,187,434 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 204 OK
GET
/sms/dictionaries Returns Dictionary for SMS resource
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/sms/dictionaries HTTP/1.1 Host: l7api.com
Responses
200 Unknown
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 6519,
"conversation_id": "value",
"created_at": "2019-05-23 07:54:13",
"from": "12124537768",
"from_id": "value",
"from_name": "value",
"message": "value",
"result": "value",
"to": "13103345244",
"to_id": "value",
"to_name": "value",
"type": "value",
"user_id": 8139
}
],
"total": 59
}
GET
/calltracking/cdrs Returns collection of Call Tracking Cdr resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/calltracking/cdrs HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 3099,
"billsec": 4333,
"call_id": 4118,
"calldate": "2022-04-03 08:06:39",
"clid": "value",
"context": "value",
"destination": 0,
"disposition": 0,
"dst": "44203846719",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 2148,
"info": "value",
"is_root": true,
"live_id": 2282,
"parent_live_id": 1398,
"root_live_id": 1598,
"server_id": 7713,
"sip_endpoint_id": 5537,
"src": "44779243705",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 1,
"user_id": 3119
}
],
"total": 59
}
GET
/users/{id}/cdrs.csv Exports collection of Cdr resources to .csv file for given user
Parameters
Endpoint URL:
{id} integerUser identifier
Example Request
GET /v1.1/voipstudio/users/97/cdrs.csv HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 4632,
"active": true,
"created_at": "value",
"customer": 1359,
"email": "value",
"first_name": "value",
"is_initial": true,
"is_root": true,
"last_name": "value",
"legacy_api_key": "value",
"roles": "value",
"status": 5,
"two_factor_auth": 0,
"visited_apps": "value"
},
"links": {}
}
GET
/mediasessions/dictionaries Returns Dictionary for Media Session resource
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/mediasessions/dictionaries HTTP/1.1 Host: l7api.com
Responses
200 Unknown
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 1690,
"call_id": "value",
"created_at": "2026-02-14 17:21:10",
"dst_id": "value",
"dst_ua": "value",
"duration": 6011,
"src_id": "value",
"src_ua": "value",
"status": "value",
"type": "value",
"updated_at": "2026-02-14 17:19:35",
"user": 5134
}
],
"total": 59
}
Models
CDR
| Attribute | Data type | Description |
| id | integer | Object ID |
| duration | integer | Call duration in seconds |
| live_id | integer | The identifier of the Live Call that generated this CDR record. It can be used to look up related records, such as call recordings. |
| parent_live_id | integer | The identifier of parent (previous) Live Call that generated this CDR record. |
| user_id | integer | The identifier of the User who made the call. |
| sip_endpoint_id | integer | The identifier of the SIP Endpoint which made or received the call. |
| server_id | integer | The identifier of the Media Server which handled the call. |
| type | string | Call type: O (outbound), I (inbound), M (missed) |
| calldate | string | Date and time of the call in format YYYY-MM-DD H:I:S in UTC timezone |
| clid | string | Caller ID (if available) with number; |
| src_id | string | The identified of the Source of the call, for example User ID 10002 or Contact ID contact:3423 |
| src_name | string | String representation of Source of the call, for example Contact name |
| src | string | Telephone number associated with the Source of the call |
| src_ua | string | User agent of the Source of the call |
| src_codec | string | Audio Codec of the Source of the call |
| dst_id | string | The identified of the Destination of the call, for example User ID 10002, Contact ID contact:3423 an IVR IVR324 or a Queue Queue12443 |
| dst | string | Telephone number associated with the Destination of the call |
| dst_name | string | String representation of Destination of the call, for example Contact name or a Queue name |
| dst_ua | string | User agent of the Destination of the call |
| dst_codec | string | Audio Codec of the Source of the call |
| billsec | integer | Billable (connected) time of the call |
| disposition | string | Outcome of the call, one of: INITIAL, RINGING, CONNECTED, ON_HOLD or VM (Voicemail) |
| destination | string | Call direction: in (inbound), out (outbound), webcall (Web Call) or callmeback (Call Me Back) |
| context | string | Call context: PSTN_CALL, USER_LOCAL, IVR, FOLLOW_ME, TEST_CALL etc. |
| t_cause | string | Call termination reason, for example: Normal Clearing, User busy, No user responding etc. |
| info | string | Additional information about the call. |
| call_id | integer | Depreciated |
| is_root | boolean | Depreciated |
| root_live_id | integer | Depreciated |